baseURL = "https://blog.privacynerd.de/"
#baseURL = "/"
title = "Privacynerd's blog"
theme = "re-terminal"  # v2.4.1 (working!)

defaultContentLanguage = "en"
defaultContentLanguageInSubdir = true

pagination.pagerSize = 5

[params]
  # dir name of your main content (default is `content/posts`).
  # the list of set content will show up on your index page (baseurl).
  contentTypeName = "posts"

  # ["orange", "blue", "red", "green", "pink", "paper"]
  themeColor = "green"

  # if you set this to 0, only submenu trigger will be visible
  showMenuItems = 3

  # show selector to switch language
  showLanguageSelector = true  # (default: false)

  # set theme to full screen width
  fullWidthTheme = false  # (default: false)

  # center theme with default width
  centerTheme = true  # (default: false)

  # if your resource directory contains an image called `cover.(jpg|png|webp)`,
  # then the file will be used as a cover automatically.
  # With this option you don't have to put the `cover` param in a front-matter.
  autoCover = true

  # set post to show the last updated
  # If you use git, you can set `enableGitInfo` to `true` and then post will automatically get the last updated
  #showLastUpdated = true  # (default: false)

  # set a custom favicon (default is a `themeColor` square)
  # favicon = "favicon.ico"
  favicon = "favicon.ico" 

  # Provide a string as a prefix for the last update date. By default, it looks like this: 2020-xx-xx [Updated: 2020-xx-xx] :: Author
  # updatedDatePrefix = "Updated"

  # set all headings to their default size (depending on browser settings)
  # oneHeadingSize = true # default

  # whether to show a page's estimated reading time
  showReadingTime = true # (default: false)

  # whether to show a table of contents
  # can be overridden in a page's front-matter
  Toc = true # (default: false)

[params.twitter]
  # set Twitter handles for Twitter cards
  # see https://developer.twitter.com/en/docs/tweets/optimize-with-cards/guides/getting-started#card-and-content-attribution
  # do not include @
  creator = ""
  site = ""
  
  
[params.banner]
  # you can set a banner on the top of the page with a call to action
  # defaults: dismissible = false; URL is optional
  dismissible = false
  url = "https://git.privacynerd.de/git.privacynerd.de/blog.privacynerd.de"

[languages]
  [languages.en]
    languageCode = "en"
    languageName = "English"
    weight = 1
  [languages.en.params]
    readingSpeed = 108
    subtitle = "Blog of privacynerd"
    owner = ""
    keywords = ""
    copyright = "<i>L</i>B<i>P</i>e<i>o</i>n<i>i</i>j<i>n</i>a<i>c</i>m<i>G</i>i<i>N</i>n<i>U</i> <i>S</i>B<i>k</i>u<i>o</i>r<i>K</i>k<i>y</i>h<i>f</i>a<i>H</i>r<i>r</i>d<i>y</i>t"
    menuMore = "Show more"
    readMore = "Read more"
    readOtherPosts = "Read other posts"
    newerPosts = "Newer posts"
    olderPosts = "Older posts"
    missingContentMessage = "Page not found..."
    missingBackButtonLabel = "Back to home page"
    # set title for the table of contents
    # can be overridden in a page's front-matter
    TocTitle = "Table of Contents" # default
    _menu = "Menu"
    _minute = "minute"
    _minutes = "minutes"
    _readingTime = "to read"
    _word = "word"
    _words = "words"
    _imprint = "Imprint"
    _by = "by"
    _customized = "customized"

    [languages.en.params.logo]
      logoText = "Privacynerd's blog"
      logoHomeLink = "/en"
    
    [languages.en.params.banner]
      text = "Construction site 🚧 | Work in progress"

    [languages.en.menu]
      [[languages.en.menu.main]]
        identifier = "about"
        name = "About"
        url = "/en/about"
        weight = 10
      [[languages.en.menu.main]]
        identifier = "tags"
        name = "Tags"
        url = "/en/tags"
        weight = 20
      [[languages.en.menu.main]]
        identifier = "categories"
        name = "Categories"
        url = "/en/categories"
        weight = 30



  [languages.de]
    languageCode = "de"
    languageName = "Deutsch"
    weight = 2
  [languages.de.params]
    readingSpeed = 111
    subtitle = "Blog von privacynerd"
    owner = ""
    keywords = ""
    copyright = "<i>L</i>B<i>P</i>e<i>o</i>n<i>i</i>j<i>n</i>a<i>c</i>m<i>G</i>i<i>N</i>n<i>U</i> <i>S</i>B<i>k</i>u<i>o</i>r<i>K</i>k<i>y</i>h<i>f</i>a<i>H</i>r<i>r</i>d<i>y</i>t"
    menuMore = "Mehr zeigen"
    readMore = "Mehr lesen"
    readOtherPosts = "Andere Posts lesen"
    newerPosts = "Neuere Posts"
    olderPosts = "Ältere Posts"
    missingContentMessage = "Seite konnte nicht gefunden werden..."
    missingBackButtonLabel = "Zurück zur Startseite"
    # set title for the table of contents
    # can be overridden in a page's front-matter
    TocTitle = "Inhaltsverzeichnis" # default
    _menu = "Menü"
    _minute = "Minute"
    _minutes = "Minuten"
    _readingTime = "Lesezeit"
    _word = "Wort"
    _words = "Wörter"
    _imprint = "Impressum"
    _by = "von"
    _customized = "angepasst"

    [languages.de.params.logo]
      logoText = "Privacynerd's blog"
      logoHomeLink = "/de"
    
    [languages.de.params.banner]
      text = "Baustelle 🚧 | laufende Arbeiten"

    [languages.de.menu]
      [[languages.de.menu.main]]
        identifier = "about"
        name = "Über"
        url = "/de/about"
        weight = 10
      [[languages.de.menu.main]]
        identifier = "tags"
        name = "Tags"
        url = "/de/tags"
        weight = 20
      [[languages.de.menu.main]]
        identifier = "categories"
        name = "Kategorien"
        url = "/de/categories"
        weight = 30

